Bug 1411959 - [abrt] kf5-kinit: QObject::disconnect(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: QObject::disconnect(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:84e8bdd230c648003d70284ff97...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 20:46 UTC by Saurabh Pradhan
Modified: 2018-05-29 11:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.65 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: core_backtrace (2.07 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: dso_list (7.56 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: environ (3.80 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: maps (34.88 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: mountinfo (3.31 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: open_fds (713 bytes, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-10 20:46 UTC, Saurabh Pradhan
no flags Details

Description Saurabh Pradhan 2017-01-10 20:46:19 UTC
Version-Release number of selected component:
kf5-kinit-5.29.0-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] http local:/run/user/1000/klauncherTJ1411.1.slave-socket local:/run/user/1000/kioclientXM2119.2.slave-socket'
crash_function: QObject::disconnect
executable:     /usr/bin/kdeinit5
global_pid:     2122
kernel:         4.9.0-1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2956
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1145
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:188
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:368

Potential duplicate: bug 1388429

Comment 1 Saurabh Pradhan 2017-01-10 20:46:27 UTC
Created attachment 1239236 [details]
File: backtrace

Comment 2 Saurabh Pradhan 2017-01-10 20:46:28 UTC
Created attachment 1239237 [details]
File: cgroup

Comment 3 Saurabh Pradhan 2017-01-10 20:46:29 UTC
Created attachment 1239238 [details]
File: core_backtrace

Comment 4 Saurabh Pradhan 2017-01-10 20:46:31 UTC
Created attachment 1239239 [details]
File: dso_list

Comment 5 Saurabh Pradhan 2017-01-10 20:46:32 UTC
Created attachment 1239240 [details]
File: environ

Comment 6 Saurabh Pradhan 2017-01-10 20:46:34 UTC
Created attachment 1239241 [details]
File: exploitable

Comment 7 Saurabh Pradhan 2017-01-10 20:46:35 UTC
Created attachment 1239242 [details]
File: limits

Comment 8 Saurabh Pradhan 2017-01-10 20:46:37 UTC
Created attachment 1239243 [details]
File: maps

Comment 9 Saurabh Pradhan 2017-01-10 20:46:38 UTC
Created attachment 1239244 [details]
File: mountinfo

Comment 10 Saurabh Pradhan 2017-01-10 20:46:40 UTC
Created attachment 1239245 [details]
File: namespaces

Comment 11 Saurabh Pradhan 2017-01-10 20:46:41 UTC
Created attachment 1239246 [details]
File: open_fds

Comment 12 Saurabh Pradhan 2017-01-10 20:46:44 UTC
Created attachment 1239247 [details]
File: proc_pid_status

Comment 13 Saurabh Pradhan 2017-01-10 20:46:46 UTC
Created attachment 1239248 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-02-28 10:55:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 15 Alvin 2017-07-13 05:49:15 UTC
Similar problem has been detected:

This is just a report about abrt telling kf5-kinit crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        http.so [kdeinit5] http local:/run/user/39000001/klauncherTJ1884.1.slave-socket local:/run/user/39000001/kioclientXM2711.2.slave-socket
crash_function: QObject::disconnect
executable:     /usr/bin/kdeinit5
journald_cursor: s=91183a762bd24556b03101de54565e4b;i=28de9;b=9385887323e843ed91edafbaa3f13e6c;m=1445843a;t=5542c6b29b575;x=ab1f602944851b8b
kernel:         4.11.9-300.fc26.x86_64
package:        kf5-kinit-5.35.0-1.fc26
reason:         kdeinit5 killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            39000001

Comment 16 Fedora End Of Life 2018-05-03 08:11:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:25:20 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.